class Validation {

  constructor() {
  }

  imei (imei) {
    if (!imei || imei && !imei.trim()) return 'IMEI не может быть пустым'
    // const isImei = imei.trim().match(/^[0-9]{15}$/g)
    const ifNumbers = imei.trim().match(/^[0-9]+$/g)
    if (!ifNumbers) {
      return 'imei может содержать только цифры'
    }
    if (imei.trim().length !== 15) {
      return 'Длина imei должна быть 15 символов'
    }
    return false
  }

  packNumber (pack) {
    if (!pack || pack && !pack.trim()) return 'Номер пакета не может быть пустым'
    // const isImei = imei.trim().match(/^[0-9]{15}$/g)
    const ifNumbers = pack.trim().match(/^[0-9]+$/g)
    if (!ifNumbers) {
      return 'Номер пакета может содержать только цифры'
    }
    return false
  }

  date (date, key) {
    const fieldName = key === 'dtStart'? 'Дата начала' : 'Дата окончания'
    if (!date || date && !date.trim()) {
      return {
        [key]:`${fieldName} не может быть пустым`
      }
    }
  
    return false
  }
}
export default Validation